%{?scl:%scl_package eclipse-m2e-wtp}
%{!?scl:%global pkg_name %{name}}

%global baserelease 1

%global commit acca29155656487d0b2d71aeaaefb63e3cea6526
%global shortcommit %(c=%{commit}; echo ${c:0:7})

Name:           %{?scl_prefix}eclipse-m2e-wtp
Version:        1.4.0
Release:        3.%{baserelease}%{?dist}
Summary:        Maven Integration for WTP
License:        EPL-1.0 and ASL 2.0
URL:            https://www.eclipse.org/m2e-wtp/
BuildArch:      noarch

Source0:        https://git.eclipse.org/c/m2e-wtp/org.eclipse.m2e.wtp.git/snapshot/org.eclipse.m2e.wtp-%{commit}.tar.xz

Patch0:         war-plugin.patch

BuildRequires:  %{?scl_prefix_maven}maven-local
BuildRequires:  %{?scl_prefix}mvn(org.apache.maven.plugins:maven-war-plugin) >= 3.2.2
BuildRequires:  %{?scl_prefix}mvn(org.eclipse.tycho.extras:tycho-source-feature-plugin)
BuildRequires:  %{?scl_prefix}mvn(org.eclipse.tycho:target-platform-configuration)
BuildRequires:  %{?scl_prefix}mvn(org.eclipse.tycho:tycho-compiler-plugin)
BuildRequires:  %{?scl_prefix}mvn(org.eclipse.tycho:tycho-maven-plugin)
BuildRequires:  %{?scl_prefix}mvn(org.eclipse.tycho:tycho-p2-plugin)
BuildRequires:  %{?scl_prefix}mvn(org.eclipse.tycho:tycho-packaging-plugin)
BuildRequires:  %{?scl_prefix}mvn(org.eclipse.tycho:tycho-source-plugin)
BuildRequires:  %{?scl_prefix_maven}osgi(org.apache.commons.lang3)
BuildRequires:  %{?scl_prefix}osgi(org.eclipse.jdt.core)
BuildRequires:  %{?scl_prefix}osgi(org.eclipse.jdt.launching)
BuildRequires:  %{?scl_prefix}osgi(org.eclipse.jem.util)
BuildRequires:  %{?scl_prefix}osgi(org.eclipse.jem.workbench)
BuildRequires:  %{?scl_prefix}osgi(org.eclipse.jpt.common.core)
BuildRequires:  %{?scl_prefix}osgi(org.eclipse.jpt.jpa.core)
BuildRequires:  %{?scl_prefix}osgi(org.eclipse.jst.common.frameworks)
BuildRequires:  %{?scl_prefix}osgi(org.eclipse.jst.common.project.facet.core)
BuildRequires:  %{?scl_prefix}osgi(org.eclipse.jst.j2ee)
BuildRequires:  %{?scl_prefix}osgi(org.eclipse.jst.j2ee.core)
BuildRequires:  %{?scl_prefix}osgi(org.eclipse.jst.j2ee.ejb)
BuildRequires:  %{?scl_prefix}osgi(org.eclipse.jst.j2ee.jca)
BuildRequires:  %{?scl_prefix}osgi(org.eclipse.jst.j2ee.web)
BuildRequires:  %{?scl_prefix}osgi(org.eclipse.jst.jee)
BuildRequires:  %{?scl_prefix}osgi(org.eclipse.jst.jee.ejb)
BuildRequires:  %{?scl_prefix}osgi(org.eclipse.jst.jee.web)
BuildRequires:  %{?scl_prefix}osgi(org.eclipse.jst.jsf.core)
BuildRequires:  %{?scl_prefix}osgi(org.eclipse.jst.ws.jaxrs.core)
BuildRequires:  %{?scl_prefix}osgi(org.eclipse.license)
BuildRequires:  %{?scl_prefix}osgi(org.eclipse.m2e.core)
BuildRequires:  %{?scl_prefix}osgi(org.eclipse.m2e.jdt)
BuildRequires:  %{?scl_prefix}osgi(org.eclipse.m2e.maven.runtime)
BuildRequires:  %{?scl_prefix}osgi(org.eclipse.wst.common.core)
BuildRequires:  %{?scl_prefix}osgi(org.eclipse.wst.common.emf)
BuildRequires:  %{?scl_prefix}osgi(org.eclipse.wst.common.emfworkbench.integration)
BuildRequires:  %{?scl_prefix}osgi(org.eclipse.wst.common.frameworks)
BuildRequires:  %{?scl_prefix}osgi(org.eclipse.wst.common.modulecore)
BuildRequires:  %{?scl_prefix}osgi(org.eclipse.wst.common.modulecore.ui)
BuildRequires:  %{?scl_prefix}osgi(org.eclipse.wst.common.project.facet.core)
BuildRequires:  %{?scl_prefix}osgi(org.eclipse.wst.server.core)
BuildRequires:  %{?scl_prefix}osgi(org.eclipse.wst.validation)
BuildRequires:  %{?scl_prefix}osgi(org.sonatype.m2e.mavenarchiver)
BuildRequires:  %{?scl_prefix_maven}osgi(slf4j.api)



Requires:       %{?scl_prefix}mvn(org.apache.maven.plugins:maven-war-plugin) >= 3.2.2

%description
The Maven Integration for WTP project, also known as m2e-wtp, aims at
providing a tight integration between Maven Integration for Eclipse
(a.k.a m2e) and the Eclipse Web Tools Project (WTP). m2e-wtp provides
a set of m2e connectors used for the configuration of Java EE projects
in WTP, brings unique Maven features to your Eclipse IDE and helps you
convert your Eclipse projects to Maven.

%prep
%{?scl:scl enable %{scl_maven} %{scl} - << "EOFSCL"}
set -e -x
%setup -q -n org.eclipse.m2e.wtp-%{commit}
%patch0
find -name *.jar -delete

# Avoid relying on forge parent pom
%pom_remove_parent

# Avoid using tycho-sourceref-jgit due to source tarball not being a git repo
%pom_remove_plugin :tycho-packaging-plugin

# Don't need to build update sites for RPM builds
%pom_disable_module org.eclipse.m2e.wtp.site

# Link to system version of war plugin
ln -s $(build-classpath maven-war-plugin) org.eclipse.m2e.wtp/jars
ln -s $(build-classpath maven-mapping) org.eclipse.m2e.wtp/jars

# Make dir-shaped bundle for symlinks to system deps
echo "Eclipse-BundleShape: dir" >> org.eclipse.m2e.wtp/META-INF/MANIFEST.MF

# Don't package parent pom
%mvn_package "::pom::" __noinstall
%{?scl:EOFSCL}

%build
%{?scl:scl enable %{scl_maven} %{scl} - << "EOFSCL"}
set -e -x
%mvn_build -j
%{?scl:EOFSCL}

%install
%{?scl:scl enable %{scl_maven} %{scl} - << "EOFSCL"}
set -e -x
%mvn_install

if [ -e "%{buildroot}/%{_datadir}/eclipse/droplets/m2e-wtp/eclipse" ] ; then
pushd %{buildroot}/%{_datadir}/eclipse/droplets/m2e-wtp/eclipse/plugins/org.eclipse.m2e.wtp_*/jars
else
pushd %{buildroot}/%{_datadir}/eclipse/droplets/m2e-wtp/plugins/org.eclipse.m2e.wtp_*/jars
fi
rm *.jar
ln -s $(build-classpath maven-war-plugin) .
ln -s $(build-classpath maven-mapping) .
popd
%{?scl:EOFSCL}

%files -f .mfiles
%doc README.md
%license org.eclipse.m2e.wtp/about.html
%license org.eclipse.m2e.wtp/about_files/LICENSE-2.0.txt

%changelog
* Wed Aug 22 2018 Mat Booth <mat.booth@redhat.com> - 1.4.0-3.1
- Auto SCL-ise package for rh-eclipse collection

* Thu Jul 12 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed Jun 20 2018 Mat Booth <mat.booth@redhat.com> - 1.4.0-2
- Restrict dep on maven-war-plugin

* Wed Jun 20 2018 Mat Booth <mat.booth@redhat.com> - 1.4.0-1
- Update to latest release

* Thu May 03 2018 Mat Booth <mat.booth@redhat.com> - 1.3.3-0.4.git9202520
- Fix failure to build with tycho 1.2.0

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.3-0.3.git9202520
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Oct 04 2017 Mat Booth <mat.booth@redhat.com> - 1.3.3-0.2.git9202520
- Package copy of Apache license

* Fri Sep 29 2017 Mat Booth <mat.booth@redhat.com> - 1.3.3-0.1.git9202520
- Initial packaging